oracle.pg.nosql

## Class FilterTableKeysIterator

- java.lang.Object
- - oracle.pg.nosql.FilterTableKeysIterator

- All Implemented Interfaces:
    Iterator, oracle.kv.ParallelScanIterator, oracle.kv.table.TableIterator

      public class FilterTableKeysIterator
      extends Object
      implements oracle.kv.table.TableIterator

  This class implements the Iterator interface for KeyPair. Filtering data by labels.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterTableKeysIterator(oracle.kv.table.TableIterator<oracle.kv.table.KeyPair> ti, String[] labels, boolean bIgnoreCaseInLabels)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<oracle.kv.stats.DetailedMetrics>` | `getPartitionMetrics()`
    `List<oracle.kv.stats.DetailedMetrics>` | `getShardMetrics()`
    `boolean` | `hasNext()`
    `oracle.kv.table.KeyPair` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterTableKeysIterator

          public FilterTableKeysIterator(oracle.kv.table.TableIterator<oracle.kv.table.KeyPair> ti,
                                 String[] labels,
                                 boolean bIgnoreCaseInLabels)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `oracle.kv.ParallelScanIterator`

    - #### getPartitionMetrics

          public List<oracle.kv.stats.DetailedMetrics> getPartitionMetrics()

      Specified by:
        `getPartitionMetrics` in interface `oracle.kv.ParallelScanIterator`

    - #### getShardMetrics

          public List<oracle.kv.stats.DetailedMetrics> getShardMetrics()

      Specified by:
        `getShardMetrics` in interface `oracle.kv.ParallelScanIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public oracle.kv.table.KeyPair next()

      Specified by:
        `next` in interface `Iterator`
      Specified by:
        `next` in interface `oracle.kv.ParallelScanIterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.